=== debian/changelog ===
roboptim-core (2.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to compile with new boost (Closes: #794554)
  * Update VCS-Browser in d/control to point to debian branch (Closes: #794414)
  * Changing B-D from liblog4cxx10-dev to liblog4cxx-dev" (Closes: #794416)
  * Bump S-V to 3.9.6 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Tue, 04 Aug 2015 18:35:01 +0200

roboptim-core (2.0-7) unstable; urgency=medium

  * debian/control: add branch information to Vcs-Git field (Closes: #741852)
  * Disable output check in fragile tests (Closes: #751034, #741855)
  * debian/control: bump Standards-Version to 3.9.5
  * Update d/watch to check gpg signature

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 26 Jun 2014 11:10:52 +0900

roboptim-core (2.0-6) unstable; urgency=medium

  * Remove symbols file (Closes: #729671)
  * Update patches
  * Remove dependency toward pkg-kde-tools.
  * debian/watch: use GitHub release page

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 17 Jan 2014 18:00:53 +0900

roboptim-core (2.0-5) unstable; urgency=low

  * Update symbols for alpha and s390x.
  * Fix plugindir location for multiarch.
  * Improved watch file by Bart Martens <bartm@debian.org>.
  * Add autopkgtest support and test case.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Mon, 10 Jun 2013 10:28:35 +0900

roboptim-core (2.0-4) unstable; urgency=low

  * Update symbols for amd64 armhf hurd-i386 i386 ia64 kfreebsd-amd64
  kfreebsd-i386 powerpc s390 s390x sparc (Closes: #709113).
  * Update patch to fix gcc-4.8 warnings (Closes: #709742).

 -- Thomas Moulard <thomas.moulard@gmail.com>  Sun, 26 May 2013 22:20:18 +0900

roboptim-core (2.0-3) unstable; urgency=low

  * Update symbols for the following architectures: amd64 armhf i386 ia64
  kfreebsd-amd64 kfreebsd-i386 powerpc s390 s390x sparc

 -- Thomas Moulard <thomas.moulard@gmail.com>  Mon, 20 May 2013 18:27:18 +0900

roboptim-core (2.0-2) unstable; urgency=low

  * Fix compilation on 32-bits architecture (Closes: #708604).
  * Remove hardening-wrapper.
  * Update symbols using pkgkde-getbuildlogs and pkgkde-symbolshelper.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Mon, 20 May 2013 11:47:44 +0900

roboptim-core (2.0-1) unstable; urgency=low

  * Initial release (Closes: #705014)

 -- Thomas Moulard <thomas.moulard@gmail.com>  Tue, 09 Apr 2013 03:52:11 +0900
