=== debian/control ===
Source: roboptim-core
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9),
               cmake,
	       pkg-config,
               doxygen,
               doxygen-latex,
	       libltdl-dev,
	       libeigen3-dev,
	       libboost-all-dev,
	       liblog4cxx-dev
Standards-Version: 3.9.6
Vcs-Browser: https://github.com/roboptim/roboptim-core/tree/debian
Vcs-Git: git://github.com/roboptim/roboptim-core.git -b debian
Homepage: http://www.roboptim.net/
XS-Testsuite: autopkgtest

Package: libroboptim-core-dev
Section: libdevel
Architecture: any
Depends: libltdl-dev,
	 libeigen3-dev,
	 libboost-all-dev,
	 liblog4cxx10-dev,
	 pkg-config,
	 libroboptim-core2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libroboptim-core-doc
Multi-Arch: same
Description: numerical optimization library - development files
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.
 .
 This package contains development files (headers and shared library
 symbolic link).

Package: libroboptim-core2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: numerical optimization library
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.

Package: libroboptim-core2-plugin-base
Architecture: any
Multi-Arch: same
Depends: libroboptim-core2 (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Enhances: libroboptim-core2
Description: numerical optimization library - core plug-ins
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.
 .
 This package contains dummy plug-ins for demonstration and
 documentation purpose.

Package: libroboptim-core2-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libroboptim-core2 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: numerical optimization library - debugging symbols
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.
 .
 This package contains the debugging symbols for the shared libraries.

Package: libroboptim-core-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: numerical optimization library - documentation
 RobOptim is a set of packages designed to make robotics non-linear
 optimization problem easier to solve. It is composed of several
 packages which are focusing on different kind of problem related to
 robotics, especially humanoid robotics.
 .
 This package contains the Doxygen generated documentation.
