=== debian/tests/control ===
Tests: build
Depends: libroboptim-core-dev, build-essential
